Bug 972709 - [abrt] icewm-xdgmenu-1.3.7-7.fc18: Menu.py:1114:getMenuEntries:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 35: ordinal not in range(128)
[abrt] icewm-xdgmenu-1.3.7-7.fc18: Menu.py:1114:getMenuEntries:UnicodeDecodeE...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
abrt_hash:6573e699001699646cfe3d9f084...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 08:50 EDT by Andrey V. Henneberg
Modified: 2016-07-19 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.82 KB, text/plain)
2013-06-10 08:50 EDT, Andrey V. Henneberg
no flags Details
File: core_backtrace (650 bytes, text/plain)
2013-06-10 08:50 EDT, Andrey V. Henneberg
no flags Details
File: environ (1.23 KB, text/plain)
2013-06-10 08:50 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2013-06-10 08:50:19 EDT
Version-Release number of selected component:
icewm-xdgmenu-1.3.7-7.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/icewm-xdg-menu --entire-menu --with-theme-paths --icon-size 16 --theme Bluecurve
dso_list:       pyxdg-0.24-1.fc18.noarch
executable:     /usr/bin/icewm-xdg-menu
kernel:         3.8.11-200.fc18.i686.PAE
uid:            1001

Truncated backtrace:
Menu.py:1114:getMenuEntries:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 35: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/icewm-xdg-menu", line 126, in <module>
    menu = xdg.Menu.parse()
  File "/usr/lib/python2.7/site-packages/xdg/Menu.py", line 587, in parse
    __genmenuNotOnlyAllocated(tmp["Root"])
  File "/usr/lib/python2.7/site-packages/xdg/Menu.py", line 924, in __genmenuNotOnlyAllocated
    __genmenuNotOnlyAllocated(submenu)
  File "/usr/lib/python2.7/site-packages/xdg/Menu.py", line 924, in __genmenuNotOnlyAllocated
    __genmenuNotOnlyAllocated(submenu)
  File "/usr/lib/python2.7/site-packages/xdg/Menu.py", line 930, in __genmenuNotOnlyAllocated
    menuentries = rule.do(tmp["cache"].getMenuEntries(menu.AppDirs), rule.Type, 1)
  File "/usr/lib/python2.7/site-packages/xdg/Menu.py", line 1114, in getMenuEntries
    key = "".join(appdirs)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 35: ordinal not in range(128)

Local variables in innermost frame:
dirs: ['/home/esfir/.kde/share/applnk/Wine/\xd0\x9f\xd1\x80\xd0\xbe\xd0\xb3\xd1\x80\xd0\xb0\xd0\xbc\xd0\xbc\xd1\x8b', '/home/esfir/.kde/share/applnk/Wine', u'/usr/local/share/applications', '/home/esfir/.local/share/applications', '/usr/share/applications', '/usr/share/applnk', '/home/esfir/.kde/share/applnk', u'/etc/X11/applnk', u'/usr/share/gnome/apps']
self: <xdg.Menu.MenuEntryCache instance at 0xb747a2ac>
list: []
ids: []
legacy: True
appdirs: ['/home/esfir/.kde/share/applnk/Wine/\xd0\x9f\xd1\x80\xd0\xbe\xd0\xb3\xd1\x80\xd0\xb0\xd0\xbc\xd0\xbc\xd1\x8b', '/home/esfir/.kde/share/applnk/Wine', u'/usr/local/share/applications', '/home/esfir/.local/share/applications', '/usr/share/applications', '/usr/share/applnk', '/home/esfir/.kde/share/applnk', u'/etc/X11/applnk', u'/usr/share/gnome/apps', 'legacy']
Comment 1 Andrey V. Henneberg 2013-06-10 08:50:23 EDT
Created attachment 759168 [details]
File: backtrace
Comment 2 Andrey V. Henneberg 2013-06-10 08:50:27 EDT
Created attachment 759169 [details]
File: core_backtrace
Comment 3 Andrey V. Henneberg 2013-06-10 08:50:30 EDT
Created attachment 759170 [details]
File: environ
Comment 4 Gilboa Davara 2013-06-12 01:16:55 EDT
What language are you using?

- Gilboa
Comment 5 Andrey V. Henneberg 2013-06-12 04:38:58 EDT
I use russian

[andrey@henneberg ~]$ locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=

As I understand, the problem is in processing of directories names with cyrillic characters because this issue appears if I install more then one Win32 application with cyrillic names under WINE. Unfortunately I have not time to fix the bug myself right now but I'll try to do it when a free time be appeared.
Comment 6 Fedora End Of Life 2013-12-21 08:56:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Gilboa Davara 2013-12-22 10:09:44 EST
Keeping bug open under Fedora 20.
Hopefully I'll free some time to fix this (by rewriting the script to use unicode).

- Gilboa
Comment 8 Fedora End Of Life 2015-05-29 05:06:43 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 07:59:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Fedora End Of Life 2016-07-19 06:14:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.